/*****************************************************************************

        dsp_def.h

--- Legal stuff ---

This program is free software. It comes without any warranty, to
the extent permitted by applicable law. You can redistribute it
and/or modify it under the terms of the Do What The Fuck You Want
To Public License, Version 2, as published by Sam Hocevar. See
http://sam.zoy.org/wtfpl/COPYING for more details.

*Tab=3***********************************************************************/



#if ! defined (dsp_dsp_def_HEADER_INCLUDED)
#define	dsp_dsp_def_HEADER_INCLUDED

#if defined (_MSC_VER)
	#pragma once
	#pragma warning (4 : 4250)
#endif



/*\\\ INCLUDE FILES \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/



namespace dsp
{



// Number to add in the filter feedback loops to avoir denormalisation of
// the floating point number.
const float	ANTI_DENORMAL = 1e-20f;

// Anti-denormal for float numbers aimed to be raised to the power of 2.
// Should works even for cubic.
const float	ANTI_DENORMAL_SQ = 1e-10f;




}	// namespace dsp



//#include	"dsp/dsp_def.hpp"



#endif	// dsp_dsp_def_HEADER_INCLUDED



/*\\\ EOF \\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\*/
